gir-repository fails to build from source in natty: eliminate reverse dependencies

Bug #677382 reported by Matthias Klose on 2010-11-19
20
This bug affects 2 people
Affects Status Importance Assigned to Milestone
buzztard (Ubuntu)
Undecided
Unassigned
Natty
Undecided
Unassigned
epiphany-browser (Ubuntu)
Undecided
Unassigned
Natty
Undecided
Unassigned
gir-repository (Ubuntu)
High
Martin Pitt
Natty
High
Martin Pitt
gnome-games (Ubuntu)
Low
Unassigned
Natty
Low
Unassigned
gupnp (Ubuntu)
Undecided
Unassigned
Natty
Undecided
Unassigned
gupnp-av (Ubuntu)
Undecided
Martin Pitt
Natty
Undecided
Martin Pitt
libdbusmenu (Ubuntu)
Low
Ken VanDine
Natty
Low
Ken VanDine
libdesktop-agnostic (Ubuntu)
Undecided
Julien Lavergne
Natty
Undecided
Julien Lavergne
libgdata (Ubuntu)
Undecided
Martin Pitt
Natty
Undecided
Martin Pitt
midgard2-core (Ubuntu)
Undecided
Unassigned
Natty
Undecided
Unassigned
ubuntuone-client (Ubuntu)
Low
dobey
Natty
Low
dobey

Bug Description

g-ir-scanner: compile: gcc-4.4 -pthread -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -g -O2 -g -Wall -O2 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/gio-unix-2.0/ -I/usr/include/gdk-pixbuf-2.0 -I/usr/include/libpng12 -c -o /home/doko/packages/x/gir-repository-0.6.5/gir/tmp-introspectiYV366/GdkPixbuf-2.0.o /home/doko/packages/x/gir-repository-0.6.5/gir/tmp-introspectiYV366/GdkPixbuf-2.0.c
g-ir-scanner: link: /bin/sh ../libtool --mode=link --tag=CC --silent gcc-4.4 -o /home/doko/packages/x/gir-repository-0.6.5/gir/tmp-introspectiYV366/GdkPixbuf-2.0 -export-dynamic -g -O2 -g -Wall -O2 -L. -lgdk_pixbuf-2.0 -pthread -lgio-2.0 -lgobject-2.0 -lgmodule-2.0 -lgthread-2.0 -lrt -lglib-2.0 /home/doko/packages/x/gir-repository-0.6.5/gir/tmp-introspectiYV366/GdkPixbuf-2.0.o
/usr/bin/g-ir-scanner -v --namespace Gdk --nsversion=2.0 \
            --add-include-path=. --add-include-path=. \
             --include=Gio-2.0 \
             --include=cairo-1.0 \
             --include=Pango-1.0 \
             --include=xlib-2.0 \
             --include=GdkPixbuf-2.0 \
             --library=gdk-x11-2.0 \
             --library=libgirepo-Gdk-custom.la \
             --libtool="/bin/sh ../libtool" \
             --output Gdk-2.0.gir \
             --pkg gobject-2.0 \
             --pkg gio-2.0 \
             --pkg cairo \
             --pkg atk \
             --pkg pango \
             --pkg gdk-x11-2.0 \
             -DGDK_COMPILATION \
             ./Gdk-custom.c ./Gdk-custom.h \
             `pkg-config --variable=includedir gdk-x11-2.0`/gtk-2.0/gdk/*.h
In file included from <stdin>:38:0:
/usr/include/gtk-2.0/gdk/gdkx.h:84:28: fatal error: gdkprivate-x11.h: No such file or directory
compilation terminated.
Error while processing the source.
make[3]: *** [Gdk-2.0.gir] Error 1

Matthias Klose (doko) on 2010-11-19
Changed in gir-repository (Ubuntu):
importance: Undecided → High
milestone: none → natty-alpha-1
status: New → Confirmed
Martin Pitt (pitti) wrote :

Doesn't block the release, moving to alpha-2.

Changed in gir-repository (Ubuntu Natty):
milestone: natty-alpha-1 → natty-alpha-2
Martin Pitt (pitti) on 2010-12-01
Changed in gir-repository (Ubuntu Natty):
status: Confirmed → In Progress
assignee: nobody → Martin Pitt (pitti)
Martin Pitt (pitti) wrote :

There's an additional problem here, it doesn't build any more with gcc-4.5. Fixing that first.

Martin Pitt (pitti) wrote :

I added about four fixes now, but this package is hopelessly broken. New plan is to just remove it from natty, as it has always been meant to just be a crutch until libraries build their own GIRs. We don't have anything which really needs gir-repository, so we'll fix the rdepends and remove it.

summary: - gir-repository fails to build from source in natty
+ gir-repository fails to build from source in natty: eliminate reverse
+ dependencies
Sebastien Bacher (seb128) wrote :

the fix is already commited in the vcs for gnome-games

Changed in gnome-games (Ubuntu Natty):
importance: Undecided → Low
status: New → Fix Committed
Changed in ubuntuone-client (Ubuntu Natty):
assignee: nobody → Rodney Dawes (dobey)
importance: Undecided → Low
Changed in libdbusmenu (Ubuntu Natty):
assignee: nobody → Ken VanDine (ken-vandine)
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gupnp - 0.14.0-2ubuntu1

---------------
gupnp (0.14.0-2ubuntu1) natty; urgency=low

  * Drop unnecessary and obsolete gir-repository-dev build dependency.
    (LP: #677382)
 -- Martin Pitt <email address hidden> Wed, 01 Dec 2010 11:03:58 +0100

Changed in gupnp (Ubuntu Natty):
status: New → Fix Released
Changed in libdbusmenu (Ubuntu Natty):
importance: Undecided → Low
Martin Pitt (pitti) on 2010-12-01
Changed in libgdata (Ubuntu Natty):
assignee: nobody → Martin Pitt (pitti)
status: New → In Progress
Martin Pitt (pitti) on 2010-12-01
Changed in libgdata (Ubuntu Natty):
status: In Progress → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libgdata - 0.7.0-0ubuntu1

---------------
libgdata (0.7.0-0ubuntu1) natty; urgency=low

  * New upstream release.
  * debian/control.in: Bump girepository1.0-dev dependency version according
    to new upstream release.
  * debian/control.in: Drop deprecated and unnecesary gir-repository-dev build
    dependency. (LP: #677382)
  * debian/libgdata10.install, debian/control.in: Bump ABI (7 → 10).
 -- Martin Pitt <email address hidden> Wed, 01 Dec 2010 12:49:11 +0100

Changed in libgdata (Ubuntu Natty):
status: Fix Committed → Fix Released
dobey (dobey) on 2010-12-01
Changed in ubuntuone-client (Ubuntu Natty):
status: New → In Progress
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubuntuone-client - 1.5.0-0ubuntu2

---------------
ubuntuone-client (1.5.0-0ubuntu2) natty; urgency=low

  * Remove gir-repository-dev from Build-Depends (LP: #677382)
 -- Rodney Dawes <email address hidden> Wed, 01 Dec 2010 09:29:23 -0500

Changed in ubuntuone-client (Ubuntu Natty):
status: In Progress → Fix Released
Julien Lavergne (gilir) on 2010-12-01
Changed in libdesktop-agnostic (Ubuntu Natty):
assignee: nobody → Julien Lavergne (gilir)
Changed in libdbusmenu (Ubuntu Natty):
status: New → Fix Committed
Martin Pitt (pitti) on 2010-12-02
Changed in gupnp-av (Ubuntu Natty):
assignee: nobody → Martin Pitt (pitti)
status: New → In Progress
Micah Gersten (micahg) on 2010-12-02
Changed in gnome-shell (Ubuntu Natty):
assignee: nobody → Micah Gersten (micahg)
status: New → Triaged
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gnome-games - 1:2.32.1-0ubuntu2

---------------
gnome-games (1:2.32.1-0ubuntu2) natty; urgency=low

  * debian/control.in: don't build-depends on gir-repository-dev
    (LP: #677382)
 -- Sebastien Bacher <email address hidden> Fri, 03 Dec 2010 11:58:47 +0100

Changed in gnome-games (Ubuntu Natty):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gupnp-av - 0.6.3-0ubuntu1

---------------
gupnp-av (0.6.3-0ubuntu1) natty; urgency=low

  * New upstream release. This now works with our current g-i.
  * debian/control: Bump libgirepository1.0-dev build dependency as per
    new upstream configure check.
  * Drop deprecated and unnecesary gir-repository-dev build dependency.
    (LP: #677382)
  * debian/rules: Build with CFLAGS=-Wl,--no-as-needed to fix GIR building.
  * tests/Makefile.{am,in}: Bandaid patch to add missing libraries, to build
    with gcc 4.5. This has been restructured in trunk and thus isn't a case
    for forwarding upstream.
 -- Martin Pitt <email address hidden> Fri, 03 Dec 2010 12:08:00 +0100

Changed in gupnp-av (Ubuntu Natty):
status: In Progress → Fix Released
Martin Pitt (pitti) wrote :

Since gir-repository does not produce any binaries with any rdependencies, I removed it from the archive and blacklisted it.

2010-12-03 11:14:46 INFO Removing candidates:
2010-12-03 11:14:46 INFO gir-repository 0.6.5-6ubuntu10 in natty
2010-12-03 11:14:46 INFO gir-repository-dev 0.6.5-6ubuntu10 in natty powerpc
2010-12-03 11:14:46 INFO gir1.0-avahi-0.6 0.6.5-6ubuntu10 in natty powerpc
2010-12-03 11:14:46 INFO gir1.0-babl-0.0 0.6.5-6ubuntu10 in natty powerpc
2010-12-03 11:14:46 INFO gir1.0-gnomekeyring-2.0 0.6.5-6ubuntu10 in natty powerpc
2010-12-03 11:14:46 INFO gir1.0-goocanvas-0.10 0.6.5-6ubuntu10 in natty powerpc
2010-12-03 11:14:46 INFO gir1.0-gtksource-2.2 0.6.5-6ubuntu10 in natty powerpc
2010-12-03 11:14:46 INFO gir1.0-notify-0.4 0.6.5-6ubuntu10 in natty powerpc
2010-12-03 11:14:46 INFO gir1.0-poppler-0.8 0.6.5-6ubuntu10 in natty powerpc
2010-12-03 11:14:46 INFO Removed-by: Martin Pitt
2010-12-03 11:14:46 INFO Comment: temporary crutch, and broken beyond repair now (LP:#677382)
2010-12-03 11:14:46 INFO 9 packages successfully removed.

Changed in gir-repository (Ubuntu Natty):
status: In Progress → Fix Released
Martin Pitt (pitti) wrote :

midgard2-core was a false positive, it only has a nondefault alternative build dependency to gir-repository-dev.

Changed in midgard2-core (Ubuntu Natty):
status: New → Invalid
Matthias Klose (doko) wrote :
Changed in libdesktop-agnostic (Ubuntu Natty):
status: New → Confirmed
milestone: none → natty-alpha-2
Matthias Klose (doko) wrote :

tagging with python27 for libdesktop-agnostic

tags: added: python27
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libdbusmenu - 0.3.90-0ubuntu1

---------------
libdbusmenu (0.3.90-0ubuntu1) natty; urgency=low

  * debian/rules
    - Added build targets to build with gtk3 enabled in additional to
      default build with gtk2
  * debian/control
    - Updated build depends to support building with gtk+-3.0
    - Added dh-autoreconf build depends
    - Added libdbusmenu-gtk3-2, libdbusmenu-gtk3-dev, gir1.0-dbusmenu-gtk3-0.2
      binaries
    - build depend on libgdk-pixbuf2.0-dev >= 2.22.1-0ubuntu4, needed
      for GIR fixes
    - Removed build depends for gir-repository-dev (LP: #677382)
    - Use gir:Depends
  * docs/libdbusmenu-gtk/reference/Makefile.am, libdbusmenu-glib/Makefile.am,
    libdbusmenu-gtk/Makefile.am
    - Fixes needed for building with-gtk=3

  [ Ted Gould ]
  * New upstream release.
    * Breaking ABI and getting reserved back
    * Adding build support for GTK2/3 builds
    * Only force a flush of top level items, allow others to be
      based on the count.
  * debian/control, debian/libdbusmenu-glib2.install,
    debian/libdbusmenu-gtk2.install: Switching package names to
    match .so bump.
 -- Ken VanDine <email address hidden> Wed, 24 Nov 2010 12:05:39 -0500

Changed in libdbusmenu (Ubuntu Natty):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libdesktop-agnostic - 0.3.90+bzr398+various426-0ubuntu1

---------------
libdesktop-agnostic (0.3.90+bzr398+various426-0ubuntu1) natty; urgency=low

  * New upstream snapshot:
   - Upstream trunk at revision r398
   - Various_fixes branch at revision r426
  * debian/control:
   - Remove gir-repository-dev from build-depends (LP: #677382)
   - Bump build-depends for gobject-introspection and libgirepository1.0-dev
     to (>= 0.9.5).
   - Build-depends on intltool.
  * debian/rules:
   - Disable gi until it's fixed upstream (see bug #685497).
  * debian/gir1.0-desktopagnostic-1.0.install:
   - Don't install gir files, until gi is fixed.
  * debian/libdesktop-agnostic0.symbols:
   - Update with new symbols.
 -- Julien Lavergne <email address hidden> Thu, 16 Dec 2010 22:08:48 +0100

Changed in libdesktop-agnostic (Ubuntu Natty):
status: Confirmed → Fix Released
Timo Jyrinki (timo-jyrinki) wrote :

New midgard2-core was synced from Debian fixing alternate dependencies and building now finely in Debian for all architectures, possibly making this bug valid one again (not that I understand much about the problem) since it's now dependency waiting on gir-repository-dev instead of building. Piotrek, what do you think should be done about it, fix it somehow in Debian or patch separately here in Ubuntu?

Changed in midgard2-core (Ubuntu Natty):
status: Invalid → Confirmed
piotras (piotrek-pokora) wrote :

I would fix midgard2-core in Debian to avoid deltas for future sync. Solution should be to add 'libgirepository1.0-dev, gir-repository-dev | libgirepository1.0-dev' to build dependencies. And I think this should not introduce http://bugs.debian.org/603235 again.

Micah Gersten (micahg) wrote :

gnome-shell has been removed from natty, see bug #690045, marking invalid

Changed in gnome-shell (Ubuntu Natty):
assignee: Micah Gersten (micahg) → nobody
status: Triaged → Invalid
Barry Warsaw (barry) wrote :

python27 tag removed since libdesktop-agnostic was fixed.

tags: removed: python27
Fabrice Coutadeur (fabricesp) wrote :

Fixed in Precise

Changed in midgard2-core (Ubuntu):
status: Confirmed → Fix Released
Adolfo Jayme (fitojb) on 2013-08-02
no longer affects: gnome-shell (Ubuntu)
no longer affects: gnome-shell (Ubuntu Natty)
Changed in epiphany-browser (Ubuntu Natty):
status: New → Won't Fix
Changed in buzztard (Ubuntu Natty):
status: New → Won't Fix
Changed in midgard2-core (Ubuntu Natty):
status: Confirmed → Won't Fix
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.